@charset "UTF-8";
.school__cards{
    display: flex;
    flex-direction: column;
}
.school__card{
    padding: clamp(2rem, 3vw, 3rem) clamp(2rem, 3vw, 3rem) clamp(2rem, 2.8vw, 2.8rem);
    display: grid;
    grid-template-columns: 6fr 4fr minmax(16rem, 2fr);
    gap: 20px;
    background-color: #fff;
    justify-content: space-between;
    min-height: 28rem;
    align-items: start;
}
.school__card:not(:last-child){
    margin-bottom: 1rem;
}
.school__img{
    grid-column: 2 / 3;
    grid-row: 1 / 2;
}
.school__cards .school__img img{
    width: 100%;
    object-fit: cover;
    box-shadow: 0 0 1px inset;
    margin-left: 1rem;
}
.school__cards .school__info{
    width: 100%;
    grid-column: 1 / 2;
    grid-row: 1 / 2;
}
.school__cards .school__ttl_ja{
    font-size: 1.2rem;
    display: block;
    color: var(--color-gray-500);
}
.school__cards .school__add{
    font-size: clamp(1.2rem,3vw,1.5rem);
}
.school__cards .school__ttl_en{
    font-size: clamp(1.8rem,4vw,2.4rem);
    font-weight: 500;
    line-height: 1.6;
    margin-bottom: 2rem;
    position: relative;
}
.school__cards .school__ttl_en:not(.icon-externallink):after{
    content: '';
    width: 1rem;
    height: 1rem;
    display: inline-block;
    background: url(/assets/images/icon-arrow.svg) center no-repeat;
    filter: invert(31%) sepia(73%) saturate(3969%) hue-rotate(198deg) brightness(100%) contrast(87%);
    position: relative;
    right: -0.5rem;
    top: -0.2rem;
}
.school__cards .school__meta{
    grid-column: 3 / 4;
    grid-row: 1 / 2;
    padding: 1rem 1.6rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    background: var(--color-gray-100);
}
.school__cards .school__meta-item{
	display: flex;
    padding: 0.1rem 0.8rem;
    gap: 1rem;
}
.school__cards .school__meta dt,
.school__cards .school__meta dd{  
    font-size: 1.3rem;
}
.school__cards .school__meta dt{
    font-weight: 500;
    font-size: 0.8em;
    flex-shrink: 0;
}
.school__cards .school__meta dd{
    width: 100%;
}
.school__cards .school__price{
    display: flex;
    flex-wrap: wrap;
    gap: 0.8rem;
}
.school__cards .school__price-item{
    background-color: var(--color-secondary);
    border-radius: 0.2rem;
    padding: 0.2rem 1rem 0.4rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 1rem;
}
.school__cards .school__price dt{
    font-weight: 500;
    color: #547699;
    font-size: 1.3rem;
}
.school__cards .school__price dd{
    font-weight: 500;
    color: var(--color-primary);
    font-size: 1.3rem;
}

@media screen and (max-width: 768px) {
    .school__card{
        grid-template-columns: 2fr 1fr;
        gap: 0;
        min-height: initial;
        padding-bottom: 0;
    }
    .school__cards .school__meta{
        grid-column: 1 / 4;
        grid-row: 2 / 3;
        gap: 0 1rem;
        margin: 0 calc(clamp(2rem, 3vw, 3rem) * -1);
        border-top: 0.1rem solid var(--color-gray-200);
        margin-top: 1rem;
    }
    .school__meta > div{
        display: flex;
        width:100%;
    }
}